# Query a previous verification

Querying of a successful verification.

Endpoint: GET /cardVerifications/{linkData}
Version: 6
Security: BasicAuth

## Path parameters:

  - `linkData` (string, required)
    Action link that's received in your request.

## Header parameters:

  - `Accept` (string, required)
    Example: "application/vnd.worldpay.cardVerifications-v6+json"

  - `Content-Type` (string, required)
    Example: "application/vnd.worldpay.cardVerifications-v6+json"

## Response 200 fields (application/vnd.worldpay.cardVerifications-v6+json):

  - `outcome` (string, required)
    Result of the Card Verification
    Enum: "verified", "not verified"

  - `scheme` (object)
    Card issuer's scheme (not all issuers return this)

  - `scheme.reference` (string, required)
    Example: "abc123"

  - `checkedAt` (string, required)
    Example: "2024-03-26T19:38:29.543195Z"

  - `refusalCode` (string)
    The [refusal response code](/products/reference/refusal-response) from the acquirer
    Example: "6"

  - `refusalDescription` (string)
    The [description of the 'refusalCode'](/products/reference/refusal-response)
    Example: "Try another card"

  - `advice` (object)
    The [MAC (Merchant Advice Code)](/products/reference/refusal-response#refusal-advice-codes) returned by Mastercard

  - `advice.code` (string, required)
    Example: "02"

  - `riskFactors` (array)
    List of risks involved in this verification.
    Example: [{"type":"cvc","risk":"notSupplied"},{"type":"avs","detail":"postcode","risk":"notSupplied"},{"type":"avs","detail":"address","risk":"notSupplied"}]

  - `riskFactors.type` (string)
    Enum: "cvc", "avs", "nameInquiry"

  - `riskFactors.risk` (string)
    Enum: "notChecked", "notMatched", "notSupplied", "partialMatched", "notSupported"

  - `riskFactors.detail` (string)
    Enum: "postcode", "address", "firstName", "middleName", "lastName"

  - `paymentInstrument` (object)

  - `paymentInstrument.type` (string, required)
    Enum: "card/plain+masked", "card/network+masked"

  - `paymentInstrument.lastFour` (string)
    The last 4 digits from the card number
    Example: "0001"

  - `paymentInstrument.cardBin` (string)
    A bank identification number is the first four to six numbers that appear on payment cards.
    Example: "654321"

  - `paymentInstrument.cardBrand` (string)
    The card scheme, e.g. visa or mastercard.
    Example: "visa"

  - `paymentInstrument.fundingType` (string)
    Enum: "debit", "credit", "chargeCard", "prepaid", "deferredDebit"

  - `paymentInstrument.category` (string)
    Enum: "consumer", "commercial"

  - `paymentInstrument.paymentAccountReference` (string)
    The unique reference associated with the card PAN.
    Example: "321ABC"

  - `paymentInstrument.countryCode` (string)
    The alpha-2 ISO-3166 country code of the card.
    Example: "GB"

  - `paymentInstrument.issuerName` (string)

  - `paymentInstrument.expiryDate` (object)
    The expiry date of the card

  - `paymentInstrument.expiryDate.year` (integer, required)
    Four digit expiry year
    Example: 2025

  - `paymentInstrument.expiryDate.month` (integer, required)
    Expiry month
    Example: 8

  - `_links` (object, required)
    Example: {"cardVerifications:verification":{"href":"https://try.access.worldpay-bsh.securedataplatform.com/cardVerifications/linkData"}}

## Response 400 fields (application/json):

  - `errorName` (string, required)
    A machine and human readable error type for clarity and semantic understanding of the error.
    Enum: "internalErrorOccurred", "headerIsMissing", "headerHasInvalidValue", "bodyIsEmpty", "bodyIsNotJson", "bodyDoesNotMatchSchema"

  - `message` (string, required)
    A human readable message giving a corrective action for the error.  This is not for machine consumption
    Example: "A JSON body matching the expected schema must be provided."

  - `validationErrors` (array)
    If there were field validation errors, they will be collected in this array

  - `validationErrors.errorName` (string, required)
    A machine and human readable error type for clarity and semantic understanding of the error.
    Enum: "fieldIsMissing", "fieldMustBeString", "fieldMustBeNumber", "fieldMustBeInteger", "fieldMustBeBoolean", "fieldMustBeObject", "fieldMustBeArray", "fieldIsNull", "fieldIsEmpty", "fieldHasInvalidValue", "fieldIsNotAllowed", "numberIsTooSmall", "integerIsTooLarge", "stringIsTooShort", "stringIsTooLong", "stringFailedRegexCheck", "panFailedLuhnCheck", "dateHasInvalidFormat"

  - `validationErrors.message` (string, required)
    A human readable message giving a corrective action for the error.  This is not for machine consumption
    Example: "Field at path is not allowed."

  - `validationErrors.jsonPath` (string)
    This field represents the JSON path of the element within the request body associated with the error.
    Example: "$.transactionRef"

  - `headerName` (string)
    If the header is missing or does not contain an expected value, this field will be populated with the incorrect header name.
    Example: "Content-Type"

## Response 401 fields (application/json):

  - `errorName` (string, required)
    A machine and human readable error type for clarity and semantic understanding of the error.
    Example: "accessDenied"

  - `message` (string, required)
    A human readable message giving a corrective action for the error.  This is not for machine consumption
    Example: "Access to the requested resource has been denied"

## Response 403 fields (application/vnd.worldpay.cardVerifications-v6+json):

  - `errorName` (string, required)
    A machine and human readable error type for clarity and semantic understanding of the error.
    Enum: "resourceNotFound"

  - `message` (string, required)
    A human readable message giving a corrective action for the error.  This is not for machine consumption
    Example: "There has been a problem with your boarding and you cannot use this API yet, please contact support."

## Response 404 fields (application/vnd.worldpay.cardVerifications-v6+json):

  - `errorName` (string, required)
    A machine and human readable error type for clarity and semantic understanding of the error.
    Enum: "verificationNotReady"

  - `message` (string, required)
    A human readable message giving a corrective action for the error.  This is not for machine consumption
    Example: "The account verification was concluded, but is not ready to be viewed. Please try again later."

## Response 415 fields (application/json):

  - `errorName` (string, required)
    A machine and human readable error type for clarity and semantic understanding of the error.
    Example: "headerHasInvalidValue"

  - `message` (string, required)
    A human readable message giving a corrective action for the error.  This is not for machine consumption
    Example: "A valid header must be provided."

  - `headerName` (string)
    If the header is missing or does not contain an expected value, this field will be populated with the incorrect header name.
    Example: "Content-Type"

## Response 500 fields (application/json):

  - `errorName` (string, required)
    A machine and human readable error type for clarity and semantic understanding of the error.
    Enum: "internalServerError"

  - `message` (string, required)
    A human readable message giving a corrective action for the error.  This is not for machine consumption
    Example: "An internal server error occurred"


